#include <zephyr.h>
#include <sys/printk.h>
#include <stdio.h>
#include <string.h>
#include <shell/shell.h>
#include <shell/shell_uart.h>
#include <version.h>
#include <logging/log.h>
#include <stdlib.h>
#include <device.h>
#include <drivers/gpio.h>
#include <console/console.h>


#define PIN_1 6
#define PIN_2 7
#define PIN_3 8


void main( void )
{
	struct device *gpio_dev;
	int err;
	

	console_init();

	printk("GPIO Test Program\n");


	gpio_dev = device_get_binding(DT_LABEL(DT_NODELABEL(gpio0)));
	if (gpio_dev == NULL) {
		printk("GPIO_0 bind error");
		return;
	}
	
	
	err = gpio_pin_configure(gpio_dev, PIN_1,
				GPIO_OUTPUT | GPIO_OUTPUT_INIT_LOW);	
	if (err) {
		printk("PIN_1 config error: %d", err);
	}
	
	err = gpio_pin_configure(gpio_dev, PIN_2,
				GPIO_OUTPUT | GPIO_OUTPUT_INIT_LOW);	
	if (err) {
		printk("PIN_2 config error: %d", err);
	}
	
	err = gpio_pin_configure(gpio_dev, PIN_3,
				GPIO_OUTPUT | GPIO_OUTPUT_INIT_LOW);	
	if (err) {
		printk("PIN_3 config error: %d", err);
	}

	for(;;)
	{

		//gpio_pin_set_raw( gpio_dev, PIN_1, pinset );   
		gpio_pin_toggle(gpio_dev,PIN_1);

		//gpio_pin_set_raw( gpio_dev, PIN_2, pinset );   
		gpio_pin_toggle(gpio_dev,PIN_2);

		//gpio_pin_set_raw( gpio_dev, PIN_3, pinset );   
		gpio_pin_toggle(gpio_dev,PIN_3);

		k_sleep(500);

	}
}